# Uses of Interface
org.eclipse.ecf.core.sharedobject.model.ISharedModelEvent

Packages that use ISharedModelEvent
Package
Description
org.eclipse.ecf.core.sharedobject.model

## Uses of ISharedModelEvent in org.eclipse.ecf.core.sharedobject.model

Subinterfaces of ISharedModelEvent in org.eclipse.ecf.core.sharedobject.model
Modifier and Type
Interface
Description
`interface`
`ISharedModelPropertyAddEvent`
`interface`
`ISharedModelPropertyRemoveEvent`
`interface`
`ISharedModelPropertyValueChangeEvent`
Methods in org.eclipse.ecf.core.sharedobject.model with parameters of type ISharedModelEvent
Modifier and Type
Method
Description
`protected void`
SharedModel.`fireListeners(ISharedModelEvent event)`
`void`
ISharedModelListener.`handleEvent(ISharedModelEvent event)`